System 2.0.0.0 4.0.0.0 System.Object

Trace filters can be used by trace listeners to provide an extra layer of filtering beyond that provided by trace switches. The trace filter for a trace listener can be found in the listener's property. Trace switches determine if a trace is to be sent to the trace listeners. Trace filters allow the individual trace listeners to determine whether or not the trace is to be written to the associated output medium. For example, as determined by each trace filter, a trace may be written to the console by a , but not to the event log by a .

Filters that inherit from the class can be used by trace listeners that inherit from the class to perform filtering of events being traced. contains a single method, , which takes event data and returns a flag indicating whether the event should be traced.

Provides the base class for trace filter implementations.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` `` `` `` `` `` `` To be added.

  When overridden in a derived class, determines whether the trace listener should trace the event.

  true to trace the specified event; otherwise, false.

  The that contains information for the trace event. The name of the source. One of the values specifying the type of event that has caused the trace. A trace identifier number. Either the format to use for writing an array of arguments specified by the parameter, or a message to write. An array of argument objects. A trace data object. An array of trace data objects.